XMLReader::setRelaxNGSchemaSource
XMLReader::XML
XMLReader
PHP Manual

# XMLReader::setSchema

(PHP 5 >= 5.2.0)

XMLReader::setSchema — Validate document against XSD

### Description

bool XMLReader::setSchema ( string `$filename` )

Use W3C XSD schema to validate the document as it is processed. Activation is only possible before the first Read().

### Parameters

`filename`

  The filename of the XSD schema.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Issues `E_WARNING` if libxml was built without schema support, the schema contains errors or if XMLReader::read() has already been called.

### Notes

Caution

This function is only available when PHP is compiled against libxml 20620 or later.

### See Also

- XMLReader::setRelaxNGSchema - Set the filename or URI for a RelaxNG Schema

XMLReader::setRelaxNGSchemaSource
XMLReader::XML
XMLReader
PHP Manual